# Tiny Music Player

[<img src="https://img.shields.io/github/license/martinmimigames/tiny-music-player?style=flat-square"
alt="Read license">](https://github.com/martinmimigames/tiny-music-player/blob/main/LICENSE.md)

## Description

This project is a light-weight, simple, yet compatible notification-based audio player.

It allows you to play audio and video files, like how you expected to. Most importantly it is designed in hope to make it compatibile with different Android versions.

Its usage is as easy as opening or sharing the file you want to play with the app, or selecting it directly from the app. Enjoy your music!

This music player is a branch from [Little Music Player](https://github.com/martinmimigames/little-music-player),
but intended to be as small as possible, with only basic functions.

Location of webpage:
[https://martinmimigames.github.io/projects/tiny-music-player](https://martinmimigames.github.io/projects/tiny-music-player)

You can find most information about *Tiny Music Player* just below.

## Notices

The app will not be able to function properly without notification permissions being granted.
For Android 13+, due to new notification restrictions, the app will bring you to the settings page if the permission is not granted.

## Features

- It's free

  Everyone should have the right to listen to music, therefore we aim to make it accessible.

- No advertisement

  We simply want a distraction-free experience for you, so you can relax and enjoy!

- Compact

  Less than 20 kB in size, one of the tiniest audio player apps on Android! No need to worry about bloated apps again.

- Unbelievably compatible

  Strangely addicted to support, we believe that nobody should be excluded due to an older device. Therefore we have theoretical support starting all the way back from Android 1.0, and tested support on Android 2.3 and above. Isn't it amazing?

- Clean & Simple

  No awkward layout, no hidden options and straightforward, so you can focus on the content. Enjoyment is key, right?

- It simply works :)

  Even in the modern world, there is always something seeming to fail. Luckily for you, this app was designed to work just like it is supposed to. It supports all audio types that your device supports.

- Minimal permissions required

  Have you ever met an app asking for a bunch of unrelated permissions? Have you ever had some strange requests reminding you of a malware? **Not this app!** The only required permission is foreground service permission, so you know it's safe to use.

- No hidden third-parties

  It is completely open-source, and uses as little third-party libraries as possible.

If you worry about size, compatibility or privacy, this is the best app for you!

We use the foreground service permission to provide audio playing while using other apps.

## Branches

- main: latest source-code

## Issues

Issues and pull requests are always welcome!

Please put them into issues
[here](https://github.com/martinmimigames/tiny-music-player/issues/new).

- - - -

[Get it from GitHub](https://github.com/martinmimigames/tiny-file-explorer/releases/latest)

### Last update of README

Date : 10-12-2022 dd-mm-yyyy

### Important

**Please read the license!**
